[loggers]
keys=root

[formatters]
keys=simpleFormatter

[handlers]
keys=consoleHandler,fileHandler

[logger_root]
level=DEBUG
handlers=consoleHandler,fileHandler

[handler_fileHandler]
class=FileHandler
level=DEBUG
formatter=simpleFormatter
args=('/applicationlogs/api-client.log', 'w')

[handler_consoleHandler]
class=StreamHandler
level=DEBUG
formatter=simpleFormatter
args=(sys.stdout,)

[formatter_simpleFormatter]
format=%(asctime)s - %(levelname)-5s LN : %(lineno)-4d[ %(filename)-20s] [ %(funcName)-15s()] %(message)s
datefmt=%d-%b %I:%M:%S %p